Jump to content
  • 0

Forge lässt sich nicht installieren


Question

Hallo,

 

ich benötige mal wieder Eure Hilfe.

Meine Tochter hat ein neues Notebook bekommen, Windows 10 (aktuell).

Jetzt habe ich Ihr da Minecraft Java installiert.

Auf dem alten Rechner, welcher eigentlich eine Gurke war, lief Minecraft 1.7.2 mit dem passenden Forge und Decocraft.

Auch hatte ich Ihr einige Welten installiert.

Lief alles recht langsam aber zuverlässig.

Ja, nachdem ich auf dem neuen Notebook Minecraft installiert hatte, welches auch läuft, wollte ich wieder Forge und Decocraft und auch andere Sachen installieren.

Nichts geht ... ich kann nichtmal Forge installieren. Ich habe vorher ein Java Updtae auf 8 gemacht und auch das Java Delvelopment Kid 11 installiert.

Jedes mal wenn ich Forge anklicke, kommt die Fehlermeldung: Error: Invalid or corrupt Jarfile.

Wenn ich Forge aus einer EXE-Datei starten möchte kommt ein Windows Fehler: Diese App kann auf dem PC nicht ausgeführt werden.

Ich habe das schon mit verschiedenen Forge Version und ARten (JAR und EXE) versucht immer das gleiche Problem.

JAVA Fix habe ich auch schon laufen lassen.

Die Ideen sind mir jetzt ausgegangen, vielleicht kann mir jemand helfen.

Viele Grüße

java fehler.PNG

windows fehler.PNG

Edited by p225
Link to post
Share on other sites

3 answers to this question

Recommended Posts

  • 0

Hi,

erst einmal bitte das JDK11 (Java Development Kit 11) wieder deinstallieren. Das JDK ist für dich uninteressant, da das JDK nur für Enwickler von Mods benötigt wird. Ganz davon ab ist Minecraft nicht für neuere Versionen als Java 8 freigegeben und es kann zu Problemen kommen.

Du benötigst daher nur die JRE (Java Runtime Environment) in Version 8 ( https://www.java.com/de/download/manual.jsp : Windows Offline (64-Bit) ).

 

Wo hast du Forge heruntergeladen? Die Meldung sagt ja im Grunde genau wo das Problem ist. Die heruntergeladene Datei ist fehlerhaft und kann daher nicht ausgeführt werden.

Hier nochmal vorsichtshalber der Link zur offiziellen Forge-Seite: http://files.minecraftforge.net/maven/net/minecraftforge/forge/index_1.12.2.html

Die Meldung vom "SmartScreen Filter" (die blaue Meldung) kommt auch dann, wenn die Datei fehlerhaft ist, daher würde ich hier mal auf ein Problem mit eurem Download tippen.

Im Notfall, wenn möglich, mal auf einem anderen PC herunterladen und per USB-Stick oder so übertragen.

Das Problem ist auch oft, dass Browser heruntergeladene Dateien im Browsercache haben und wenn du versuchst diese ein 2. mal herunterzuladen, dann wird diese eben nicht unbedingt neu geladen sondern du bekommst die gleiche (defekte) Datei aus dem Cache. Daher kann man auch versuchen zum Download einen anderen Browser zu nutzen oder vorher mal den Browsercache löschen.

 

-Yuki

Link to post
Share on other sites
  • 0

hi am ich bin niko und es geht bei mir nach alldem mit forge 1.10.2 nicht aber komischer weise 1.7.10 weis wer wieso oder wie man das problem lost weil wenn ich 1.10.2 forge öffnen will dann kommt ein textdokument wo rin stehtException in thread "main" java.lang.ExceptionInInitializerError
    at net.minecraftforge.installer.ClientInstall.getSponsorMessage(ClientInstall.java:401)
    at net.minecraftforge.installer.InstallerAction.getSponsorMessage(InstallerAction.java:60)
    at net.minecraftforge.installer.InstallerPanel.updateFilePath(InstallerPanel.java:334)
    at net.minecraftforge.installer.InstallerPanel.<init>(InstallerPanel.java:315)
    at net.minecraftforge.installer.SimpleInstaller.launchGui(SimpleInstaller.java:164)
    at net.minecraftforge.installer.SimpleInstaller.main(SimpleInstaller.java:51)
Caused by: java.lang.ArrayIndexOutOfBoundsException: Index 1 out of bounds for length 1
    at net.minecraftforge.installer.MirrorData.buildMirrorList(MirrorData.java:84)
    at net.minecraftforge.installer.MirrorData.<init>(MirrorData.java:63)
    at net.minecraftforge.installer.MirrorData.<clinit>(MirrorData.java:17)
    ... 6 more
was heist das 

Link to post
Share on other sites
  • 0

Hast du Build 2511 genommen?

Die meisten alten Forge Versionen funktionieren nicht mehr - die Recommended Versionen gehen in der Regel noch

Auf jeden Fall ist es bei der 1.10.2 so

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...
B